This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | Table
Name | ### getString()
Examples |
    Table table;

    void setup() {

      table = new Table();

      table.addColumn("number", Table.INT);
      table.addColumn("mass", Table.FLOAT);
      table.addColumn("name", Table.STRING);

      table.addRow();  // Creates an empty row

      table.setInt(0, "number", 8);
      table.setFloat(0, "mass", 15.9994);
      table.setString(0, "name", "Oxygen");

      println(table.getInt(0, "number"));   // Prints 8
      println(table.getFloat(0, "mass"));   // Prints 15.9994
      println(table.getString(0, "name"));  // Prints "Oxygen"
    }
Description | Retrieves a String value from the Table's specified row and column. The row is specified by its ID, while the column may be specified by either its ID or title.
Syntax |
    .getString(row, column)
    .getString(row, columnName)
Parameters |
row | int: ID number of the row to reference
column | int: ID number of the column to reference
columnName | String: title of the column to reference
Returns | String
Related | getInt() getFloat() getStringColumn() setInt() setFloat() setString()

Updated on October 26, 2013 08:58:34pm PDT